mscorlib 2.0.0.0 4.0.0.0 System.Object System.Collections.ICollection System.Runtime.InteropServices.ComVisible(true)

objects encapsulate security decisions about an application.

Represents a collection of objects. This class cannot be inherited.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  The object is added to the end of the collection. To remove an application trust that you previously added, use the method.

  Adds an element to the collection.

  The index at which the new element was inserted.

  The object to add.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The objects contained in the array are appended to the end of the collection.

  To remove a range of application trusts that you previously added, use the method.

  Copies the elements of the specified array to the end of the collection.

  An array of type containing the objects to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The objects contained in are appended to the end of the collection.

  You can use the method to quickly add another collection of application trust objects to the collection instead of manually adding each application trust to the collection using the method.

  To remove a range of application trusts that you previously added, use the method.

  Copies the elements of the specified to the end of the collection.

  A containing the objects to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void

  Each in the collection is identified by its property. If the value of the property for any object in the collection is null, an is thrown.

  Removes all the application trusts from the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  All the application trusts in the collection are copied into the array starting at the specified index location, overwriting any existing data within the range of objects copied into the array.

  Copies the entire collection to a compatible one-dimensional array, starting at the specified index of the target array.

  The one-dimensional array of type that is the destination of the elements copied from the current collection. The zero-based index in at which copying begins.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of items contained in the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Policy.ApplicationTrustCollection `` ``

  The application trust is optionally selected by an exact version match, based on the value of the parameter.

  Gets the application trusts in the collection that match the specified application identity.

  An containing all matching objects.

  An object describing the application to find. One of the values.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.Policy.ApplicationTrustEnumerator

  The implements the interface that allows you to move within a collection.

  Use the property to get the item currently pointed to in the collection.

  Use the method to move to the next item in the collection.

  Use the method to move the enumerator to its initial position.

  After you create the enumerator, or use the method to reposition the enumerator to the start of the collection, you must then call the method to position the enumerator to the first item. Otherwise, the item represented by the property is undefined.

  Returns an object that can be used to iterate over the collection.

  An that can be used to iterate over the collection.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether access to the collection is synchronized (thread safe).

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Policy.ApplicationTrust `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Policy.ApplicationTrust `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The entire collection is searched, and all instances of the specified application trust are removed.

  The objects that follow the removed objects move up to occupy the vacated positions. The indexes of the objects that are moved are also updated.

  Removes the specified application trust from the collection.

  The object to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The application trust can be identified by an exact version match, dependent upon the value of the parameter. The method is used to locate all matching application trusts, and the matching items are removed from the collection.

  The objects that follow the removed objects move up to occupy the vacated positions. The indexes of the objects that are moved are also updated.

  Removes all application trust objects that match the specified criteria from the collection.

  The of the object to be removed. One of the values.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The objects that follow the removed objects move up to occupy the vacated positions. The indexes of the objects that are moved are also updated.

  Removes the application trust objects in the specified array from the collection.

  A one-dimensional array of type that contains items to be removed from the current collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The objects that follow the removed objects move up to occupy the vacated positions. The indexes of the objects that are moved are also updated.

  Removes the application trust objects in the specified collection from the collection.

  An that contains items to be removed from the currentcollection.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  The default implementation returns the current application trust object.

  Gets an object that can be used to synchronize access to the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the to the specified , starting at the specified index.

  The one-dimensional that is the destination of the elements copied from the . The must have zero-based indexing. The zero-based index in at which copying begins.
- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an enumerator that iterates through the collection.

  An that can be used to iterate through the collection.